package com.mortals.xhx.module.matter.model;

import java.util.List;
import com.mortals.xhx.module.matter.model.MatterFlowlimitEntity;
/**
* 事项办理流程查询对象
*
* @author zxfei
* @date 2022-01-12
*/
public class MatterFlowlimitQuery extends MatterFlowlimitEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 开始 事项基础表id */
    private Long matterIdStart;

    /** 结束 事项基础表id */
    private Long matterIdEnd;

    /** 增加 事项基础表id */
    private Long matterIdIncrement;

    /** 事项基础表id列表 */
    private List <Long> matterIdList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 办理流程 */
    private List<String> flowNameList;

    /** 办理时长 */
    private List<String> flowTimeList;

    /** 转外时限 */
    private List<String> flowLimitList;

    /** 办理流程说明 */
    private List<String> flowDescList;

    /** 开始 事项来源(0.政务网，1.自定义) */
    private Integer sourceStart;

    /** 结束 事项来源(0.政务网，1.自定义) */
    private Integer sourceEnd;

    /** 增加 事项来源(0.政务网，1.自定义) */
    private Integer sourceIncrement;

    /** 事项来源(0.政务网，1.自定义)列表 */
    private List <Integer> sourceList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterFlowlimitQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterFlowlimitQuery> andConditionList;

    public MatterFlowlimitQuery(){}

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 事项基础表id
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
    * 设置 开始 事项基础表id
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 事项基础表id
    * @return $matterIdEnd
    */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
    * 设置 结束 事项基础表id
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 事项基础表id
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
    * 设置 增加 事项基础表id
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 事项基础表id
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
    * 设置 事项基础表id
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
    * 获取 事项名称
    * @return matterNameList
    */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }
    /**
    * 获取 办理流程
    * @return flowNameList
    */
    public List<String> getFlowNameList(){
        return this.flowNameList;
    }

    /**
    * 设置 办理流程
    * @param flowNameList
    */
    public void setFlowNameList(List<String> flowNameList){
        this.flowNameList = flowNameList;
    }
    /**
    * 获取 办理时长
    * @return flowTimeList
    */
    public List<String> getFlowTimeList(){
        return this.flowTimeList;
    }

    /**
    * 设置 办理时长
    * @param flowTimeList
    */
    public void setFlowTimeList(List<String> flowTimeList){
        this.flowTimeList = flowTimeList;
    }
    /**
    * 获取 转外时限
    * @return flowLimitList
    */
    public List<String> getFlowLimitList(){
        return this.flowLimitList;
    }

    /**
    * 设置 转外时限
    * @param flowLimitList
    */
    public void setFlowLimitList(List<String> flowLimitList){
        this.flowLimitList = flowLimitList;
    }
    /**
    * 获取 办理流程说明
    * @return flowDescList
    */
    public List<String> getFlowDescList(){
        return this.flowDescList;
    }

    /**
    * 设置 办理流程说明
    * @param flowDescList
    */
    public void setFlowDescList(List<String> flowDescList){
        this.flowDescList = flowDescList;
    }
    /**
    * 获取 开始 事项来源(0.政务网，1.自定义)
    * @return sourceStart
    */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
    * 设置 开始 事项来源(0.政务网，1.自定义)
    * @param sourceStart
    */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
    * 获取 结束 事项来源(0.政务网，1.自定义)
    * @return $sourceEnd
    */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
    * 设置 结束 事项来源(0.政务网，1.自定义)
    * @param sourceEnd
    */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
    * 获取 增加 事项来源(0.政务网，1.自定义)
    * @return sourceIncrement
    */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
    * 设置 增加 事项来源(0.政务网，1.自定义)
    * @param sourceIncrement
    */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
    * 获取 事项来源(0.政务网，1.自定义)
    * @return sourceList
    */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
    * 设置 事项来源(0.政务网，1.自定义)
    * @param sourceList
    */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键，自增长
    * @param id
    */
    public MatterFlowlimitQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public MatterFlowlimitQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public MatterFlowlimitQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public MatterFlowlimitQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public MatterFlowlimitQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  事项基础表id
    * @param matterId
    */
    public MatterFlowlimitQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 事项基础表id
    * @param matterIdStart
    */
    public MatterFlowlimitQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 事项基础表id
    * @param matterIdEnd
    */
    public MatterFlowlimitQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 事项基础表id
    * @param matterIdIncrement
    */
    public MatterFlowlimitQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 事项基础表id
    * @param matterIdList
    */
    public MatterFlowlimitQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }


	/**
    * 设置 事项名称
    * @param matterName
    */
    public MatterFlowlimitQuery matterName(String matterName){
        setMatterName(matterName);
		return this;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public MatterFlowlimitQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
		return this;
    }


	/**
    * 设置 办理流程
    * @param flowName
    */
    public MatterFlowlimitQuery flowName(String flowName){
        setFlowName(flowName);
		return this;
    }

    /**
    * 设置 办理流程
    * @param flowNameList
    */
    public MatterFlowlimitQuery flowNameList(List<String> flowNameList){
        this.flowNameList = flowNameList;
		return this;
    }


	/**
    * 设置 办理时长
    * @param flowTime
    */
    public MatterFlowlimitQuery flowTime(String flowTime){
        setFlowTime(flowTime);
		return this;
    }

    /**
    * 设置 办理时长
    * @param flowTimeList
    */
    public MatterFlowlimitQuery flowTimeList(List<String> flowTimeList){
        this.flowTimeList = flowTimeList;
		return this;
    }


	/**
    * 设置 转外时限
    * @param flowLimit
    */
    public MatterFlowlimitQuery flowLimit(String flowLimit){
        setFlowLimit(flowLimit);
		return this;
    }

    /**
    * 设置 转外时限
    * @param flowLimitList
    */
    public MatterFlowlimitQuery flowLimitList(List<String> flowLimitList){
        this.flowLimitList = flowLimitList;
		return this;
    }


	/**
    * 设置 办理流程说明
    * @param flowDesc
    */
    public MatterFlowlimitQuery flowDesc(String flowDesc){
        setFlowDesc(flowDesc);
		return this;
    }

    /**
    * 设置 办理流程说明
    * @param flowDescList
    */
    public MatterFlowlimitQuery flowDescList(List<String> flowDescList){
        this.flowDescList = flowDescList;
		return this;
    }

    /**
    * 设置  事项来源(0.政务网，1.自定义)
    * @param source
    */
    public MatterFlowlimitQuery source(Integer source){
	    setSource(source);
		return this;
    }
	
	 /**
    * 设置 开始 事项来源(0.政务网，1.自定义)
    * @param sourceStart
    */
    public MatterFlowlimitQuery sourceStart(Integer sourceStart){
		this.sourceStart = sourceStart;
		return this;
    }

    /**
    * 设置 结束 事项来源(0.政务网，1.自定义)
    * @param sourceEnd
    */
    public MatterFlowlimitQuery sourceEnd(Integer sourceEnd){
		this.sourceEnd = sourceEnd;
		return this;
    }

    /**
    * 设置 增加 事项来源(0.政务网，1.自定义)
    * @param sourceIncrement
    */
    public MatterFlowlimitQuery sourceIncrement(Integer sourceIncrement){
		this.sourceIncrement = sourceIncrement;
		return this;
    }

    /**
    * 设置 事项来源(0.政务网，1.自定义)
    * @param sourceList
    */
    public MatterFlowlimitQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
		return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public MatterFlowlimitQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public MatterFlowlimitQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public MatterFlowlimitQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public MatterFlowlimitQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public MatterFlowlimitQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MatterFlowlimitQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MatterFlowlimitQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MatterFlowlimitQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MatterFlowlimitQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}